StandardProperty (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple
Class StandardProperty

    java.lang.Object
      org.hibernate.tuple.Property
          org.hibernate.tuple.StandardProperty

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VersionProperty

    public class StandardProperty

extends Property

Represents a basic property within the Hibernate runtime-metamodel.

See Also:
  Serialized Form

Constructor Summary
`StandardProperty(String name, String node, Type type, boolean lazy, boolean insertable, boolean updateable, boolean insertGenerated, boolean updateGenerated, boolean nullable, boolean checkable, boolean versionable, CascadeStyle cascadeStyle, FetchMode fetchMode)` Constructs StandardProperty instances.

Method Summary
`CascadeStyle` | `getCascadeStyle()`
`FetchMode` | `getFetchMode()`
`boolean` | `isDirtyCheckable()`
`boolean` | `isDirtyCheckable(boolean hasUninitializedProperties)`
`boolean` | `isInsertable()`
`boolean` | `isInsertGenerated()`
`boolean` | `isLazy()`
`boolean` | `isNullable()`
`boolean` | `isUpdateable()`
`boolean` | `isUpdateGenerated()`
`boolean` | `isVersionable()`

Methods inherited from class org.hibernate.tuple.Property
`getName, getNode, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StandardProperty

    public StandardProperty(String name,
                            String node,
                            Type type,
                            boolean lazy,
                            boolean insertable,
                            boolean updateable,
                            boolean insertGenerated,
                            boolean updateGenerated,
                            boolean nullable,
                            boolean checkable,
                            boolean versionable,
                            CascadeStyle cascadeStyle,
                            FetchMode fetchMode)

  Constructs StandardProperty instances.

  Parameters:
    `name` - The name by which the property can be referenced within its owner.
    `node` - The node name to use for XML-based representation of this property.
    `type` - The Hibernate Type of this property.
    `lazy` - Should this property be handled lazily?
    `insertable` - Is this property an insertable value?
    `updateable` - Is this property an updateable value?
    `insertGenerated` - Is this property generated in the database on insert?
    `updateGenerated` - Is this property generated in the database on update?
    `nullable` - Is this property a nullable value?
    `checkable` - Is this property a checkable value?
    `versionable` - Is this property a versionable value?
    `cascadeStyle` - The cascade style for this property's value.
    `fetchMode` - Any fetch mode defined for this property

Method Detail

### isLazy

    public boolean isLazy()

### isInsertable

    public boolean isInsertable()

### isUpdateable

    public boolean isUpdateable()

### isInsertGenerated

    public boolean isInsertGenerated()

### isUpdateGenerated

    public boolean isUpdateGenerated()

### isNullable

    public boolean isNullable()

### isDirtyCheckable

    public boolean isDirtyCheckable(boolean hasUninitializedProperties)

### isDirtyCheckable

    public boolean isDirtyCheckable()

### isVersionable

    public boolean isVersionable()

### getCascadeStyle

    public CascadeStyle getCascadeStyle()

### getFetchMode

    public FetchMode getFetchMode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.